VST 3 SDK VST 3.7 SDK for developing VST plug-in

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Macros Groups Pages
Classes | Namespaces | Typedefs | Enumerations
mpeprocessor.h File Reference
`#include <cstdint>`
`#include <cstdlib>`
`#include <memory>`

## Classes
struct | Handler
struct | Setup
| MPE setup structure. More...
class | Processor
| MPE Decompose Processor. More...

## Namespaces
namespace | Steinberg
namespace | Steinberg::Vst
namespace | Steinberg::Vst::MPE

## Typedefs
using | NoteID = int32_t
using | Pitch = uint32_t
using | Channel = uint32_t
using | Velocity = float
using | NormalizedValue = double

## Enumerations
enum | Controller : uint32_t { Pressure, X, Y, None }
| MPE per note controller enumeration. More...
enum | InputMIDIMessage : uint32_t { MIDICC_0 = 0, MIDICC_127 = 127, ChannelPressure = 128, PitchBend = 129, Aftertouch = 130 }
| Input MIDI Message enumeration. More...

Empty

Copyright ©2024 Steinberg Media Technologies GmbH. All Rights Reserved. This documentation is under this license.